Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::concepts::SizedIterableLike_ Struct Reference
Concepts

## Description

INTERNAL ONLY A type is SizedIterableLike_ if it is Iterable and ranges::size can be called on it and it returns an Integral.

Inheritance diagram for ranges::v3::concepts::SizedIterableLike_:

## Public Member Functions
template<typename T >
auto | requires_ (T &&t) -> decltype(concepts::valid_expr(concepts::model_of< Integral >(size(t))))
Public Member Functions inherited from ranges::v3::concepts::refines< Iterable >
void | requires_ (Ts &&...)

## Additional Inherited Members
Public Types inherited from ranges::v3::concepts::refines< Iterable >
using | base_concepts_t = meta::list< Concepts...>